log4cpp: log4cpp::details::base_validator_data Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::details::base_validator_data Class Reference

`#include <FactoryParams.hh>`

Inheritance diagram for log4cpp::details::base_validator_data:

[legend]
Collaboration diagram for log4cpp::details::base_validator_data:

[legend]
List of all members.

## Public Member Functions
| base_validator_data (const char *tag, const FactoryParams *params)
## Protected Member Functions
template<typename T>
void | assign (const std::string &param_value, T &value) const
template<typename T>
void | assign_impl (const std::string &param_value, T &value) const
void | assign_impl (const std::string &param_value, std::string &value) const
void | throw_error (const char *param_name) const
## Protected Attributes
const char * | tag_
const FactoryParams * | params_

## Constructor & Destructor Documentation

log4cpp::details::base_validator_data::base_validator_data | ( | const char * | tag,
|  | const FactoryParams * | params |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename T>

void log4cpp::details::base_validator_data::assign | ( | const std::string & | param_value,
|  | T & | value |
| ) |  |  | const`[inline, protected]`

template<typename T>

void log4cpp::details::base_validator_data::assign_impl | ( | const std::string & | param_value,
|  | T & | value |
| ) |  |  | const`[inline, protected]`

void log4cpp::details::base_validator_data::assign_impl | ( | const std::string & | param_value,
|  | std::string & | value |
| ) |  |  | const`[inline, protected]`

void log4cpp::details::base_validator_data::throw_error | ( | const char * | param_name | ) | const`[inline, protected]`

## Member Data Documentation

const char* log4cpp::details::base_validator_data::tag_`[protected]`

const FactoryParams* log4cpp::details::base_validator_data::params_`[protected]`

The documentation for this class was generated from the following file:

- FactoryParams.hh